MWAWTabStop Struct Reference

class to store a tab use by MWAWParagraph More...

`#include <MWAWParagraph.hxx>`

## Public Types

enum | Alignment { LEFT, RIGHT, CENTER, DECIMAL, BAR }
| the tab alignement More...

## Public Member Functions

| MWAWTabStop (double position=0.0, Alignment alignment=LEFT, uint16_t leaderCharacter='\0', uint16_t decimalCharacter= '.')
| constructor More...
void | addTo (WPXPropertyListVector &propList, double decalX=0.0) const
| add a tab to the propList More...
bool | operator== (MWAWTabStop const &tabs) const
| operator== More...
bool | operator!= (MWAWTabStop const &tabs) const
| operator!= More...

## Public Attributes

double | m_position
| the tab position More...
Alignment | m_alignment
| the alignement ( left, center, ...) More...
uint16_t | m_leaderCharacter
| the leader char More...
uint16_t | m_decimalCharacter
| the decimal char More...

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWTabStop const &ft)
| operator << More...

## Detailed Description

class to store a tab use by MWAWParagraph

## Member Enumeration Documentation

enum MWAWTabStop::Alignment

the tab alignement

Enumerator
LEFT |
RIGHT |
CENTER |
DECIMAL |
BAR |

## Constructor & Destructor Documentation

MWAWTabStop::MWAWTabStop | ( | double | position = `0.0`,
|  | Alignment | alignment = `LEFT`,
|  | uint16_t | leaderCharacter = `'\0'`,
|  | uint16_t | decimalCharacter = `'.'`
| ) |  |

inline

constructor

## Member Function Documentation

void MWAWTabStop::addTo | ( | WPXPropertyListVector & | propList,
|  | double | decalX = `0.0`
| ) |  | const

add a tab to the propList

bool MWAWTabStop::operator!= | ( | MWAWTabStop const & | tabs | ) | const

inline

operator!=

Referenced by operator==().

bool MWAWTabStop::operator== | ( | MWAWTabStop const & | tabs | ) | const

inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWTabStop const & | ft
| ) |  |

friend

operator <<

## Member Data Documentation

Alignment MWAWTabStop::m_alignment

the alignement ( left, center, ...)

Referenced by addTo(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), HMWKText::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MWProStructures::readParagraph(), NSText::readParagraphs(), FWText::readParagraphTabs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), MRWText::readRulers(), MORText::readTabs(), DMText::sendFooter(), EDParser::sendIndex(), MCDParser::sendIndex(), and DMText::sendTOC().

uint16_t MWAWTabStop::m_decimalCharacter

the decimal char

Referenced by addTo(), operator!=(), operator<<(), HMWJText::readParagraph(), HMWKText::readParagraph(), CWText::readParagraph(), MWProStructures::readParagraph(), FWText::readParagraphTabs(), GWText::readRuler(), and MORText::readTabs().

uint16_t MWAWTabStop::m_leaderCharacter

the leader char

Referenced by addTo(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), HMWKText::readParagraph(), CWText::readParagraph(), MWProStructures::readParagraph(), NSText::readParagraphs(), FWText::readParagraphTabs(), GWText::readRuler(), MRWText::readRulers(), MORText::readTabs(), EDParser::sendIndex(), MCDParser::sendIndex(), and DMText::sendTOC().

double MWAWTabStop::m_position

the tab position

Referenced by addTo(), WNTextInternal::State::getDefaultParagraph(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), HMWKText::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MWProStructures::readParagraph(), NSText::readParagraphs(), FWText::readParagraphTabs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), MRWText::readRulers(), MORText::readTabs(), DMText::sendFooter(), MDWParser::sendHeaderFooterFields(), EDParser::sendIndex(), MCDParser::sendIndex(), and DMText::sendTOC().

The documentation for this struct was generated from the following files:

- MWAWParagraph.hxx
- MWAWParagraph.cxx